import { ParentComponent, children } from 'solid-js';

import styles from './Page.module.css';
import Navigation from '../Navigation';

interface PageProps {
	title: string;
}

const Page: ParentComponent<PageProps> = (props) => {
	const ch = children(() => props.children);
	return (
		<div class={styles.page}>
			<h1>{props.title}</h1>
			{ch()}
			<h1>All Tools</h1>
			<Navigation />
		</div>
	);
};

export default Page;
